> For the complete documentation index, see [llms.txt](https://docs.okokscripts.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.okokscripts.io/scripts/okokgarage/housing-integrations.md).

# Housing integrations

## Loaf Housing

Navigate to **loaf\_housing/client/main.lua** and add the following code:

```lua
elseif not shouldAddMarker and GetResourceState("okokGarage") == "started" then
     if not house.garageMarker then
          house.garageMarker = lib.AddMarker({
             coords = house.garage.exit.xyz - vector3(0.0, 0.0, 1.0),
             scale = vector3(3.0, 3.0, 1.0),
             callbackData = {},
             key = "primary",
             text = "Garage",
          }, nil, nil, function()
          if IsPedInAnyVehicle(PlayerPedId()) then
            TriggerEvent("okokGarage:StoreVehiclePrivate")
          else
            TriggerEvent("okokGarage:OpenPrivateGarageMenu", GetEntityCoords(PlayerPedId()), GetEntityHeading(PlayerPedId()))
          end
      end)
   end
end
```

### esx\_property

Navigate to **esx\_property/client/main.lua** and add the following code:

```lua
function StoreVehicle(PropertyId)
  TriggerEvent("okokGarage:StoreVehiclePrivate")
end

function AccessGarage(PropertyId)
  TriggerEvent("okokGarage:OpenPrivateGarageMenu", GetEntityCoords(PlayerPedId()), GetEntityHeading(PlayerPedId()))
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokgarage/housing-integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
